import { ElementRef } from '@angular/core';
export declare class AppMenuFrameComponent {
    private myElement;
    element: string;
    closed: boolean;
    x: string;
    y: string;
    flat: boolean;
    private top;
    private left;
    private draggable;
    constructor(myElement: ElementRef);
    ngOnAfterViewInit(): void;
    ngOnChanges(): void;
    isDraggable: boolean;
    setPosition(x: number, y: number): void;
    private fixPosition;
    private applyPosition;
}
